About home plans

Show me an example

Use the Home Plan template to draw new house plans or remodeling plans, experiment with new kitchen and furniture arrangements, or draw up plans to add a new room to your home.

Create a home plan


Create a home plan

Show me an example

  1. On the File menu, point to New, point to Building Plan, and then click Home Plan.

By default, this solution opens a scaled drawing page in landscape orientation Wide page. You can change these settings at any time.

  2. Create or insert a floor plan by doing one of the following:

Click to show or hide information. Create a floor plan

  1. Create the basic exterior wall structure in one of the following ways.

Click to show or hide information. Use room shapes

  1. From the Walls, Shell and Structure stencil, drag one of the room shapes onto the drawing page.
  2. Resize the room shape by dragging the control handles [image] and selection handles [image] on individual walls.

The value indicating wall length updates automatically.

Click to show or hide information. Use wall shapes

  1. From the Walls, Shell and Structure stencil, drag Exterior wall shapes onto the drawing page.
  2. Resize walls by dragging an endpoint ( [image] or [image]).

The values indicating wall length update automatically.

  3. Drag an endpoint ( [image] or [image]) of one wall to another wall.

The endpoints turn red when the walls are glued. Intersections between two walls get cleaned up automatically.

Note For walls to join properly, Glue to Shape geometry must be selected in the Snap & Glue dialog box.

  2. Create the interior wall structure.

Click to show or hide information. How?

  1. Drag Wall shapes onto the drawing page, positioning them inside the exterior structure.
  2. Resize walls by dragging an endpoint ( [image] or [image]).

The values indicating wall length update automatically.

  3. Drag an endpoint ( [image] or [image]) of one wall to another wall.

The endpoints turn red when the walls are glued. Intersections between two walls get cleaned up automatically.

Note For walls to join properly, Glue to Shape geometry must be selected in the Snap & Glue dialog box.

  3. Add other structural elements.

Click to show or hide information. How?

  1. From the Walls, Shell and Structure stencil, drag structural shapes, such as columns, onto the drawing page.
  2. From the Building Core stencil, drag building core shapes, such as stairs, onto the drawing page.
  4. Add doors and windows.

Click to show or hide information. How?

From the Walls, Shell and Structure stencil, drag door and window shapes on top of walls.

Doors and windows automatically rotate to align with the wall and glue to the wall. They also acquire the wall's thickness and move with walls when you reposition them.

  5. After you assemble the building shell and wall structure, you can add electrical symbols and dimension lines.

Click to show or hide information. Add electrical symbols

From the Electrical and Telecom stencil, drag wall switches, outlets, and other wall fixtures onto wall shapes. Release the mouse button when a red square [image] appears, indicating that the symbol is glued to the wall. Wall fixtures automatically rotate to align with the wall and glue to the wall.

You can also drag ceiling fixture shapes, such as the Ceiling fan, onto the drawing page.

Click to show or hide information. Add dimension lines to walls

  1. Right-click a wall, and then click Add a Dimension.
  2. Reposition dimension lines and dimension text by dragging a control handle [image].

Note To see a tip about a control handle for a selected shape, pause the pointer over the handle.

  3. If you add a dimension to a wall, you can resize the wall by selecting the dimension shape, typing the dimension you want, and then clicking away from the dimension shape.

Click to show or hide information. Insert a CAD floor plan

  1. On the Insert menu, click CAD Drawing.
  2. Under Files of type, select AutoCAD Drawing (*.dwg, *.dxf) or MicroStation Drawing (*.dgn). Locate the CAD file and click Open.
  3. To accept the size and location of the CAD drawing, click OK.

After you have inserted the drawing, you can resize it, change its scale, or move it. You can also lock the Visio layer that contains the CAD drawing.

Click to show or hide information. Copy and paste an existing Visio floor plan drawing into a new drawing

  1. Open an existing Visio drawing.
  2. On the File menu, click Page Setup, and then click the Scale tab. Make note of the scale setting in the existing drawing, and then set the scale of your new drawing to match.
  3. In the existing drawing, select the shapes you want to use in the new drawing and then, on the Edit menu, click Copy.
  4. Switch to the new drawing, and then, on the Edit menu, click Paste.

Click to show or hide information. Tip

You can lock the layers of the existing Visio drawing. By doing so, you can create a new drawing on top of the existing drawing without accidentally changing it.

  3. After you complete the framework for the home plan, you can add shapes for appliances, bath and kitchen fixtures, furniture, and garden accessories.


Home plan example

Home plan showing living spaces, bedroom, bathroom, and kitchen